Gmagick::frameimage
Gmagick::getcopyright
Gmagick
PHP Manual

# Gmagick::gammaimage

(PECL gmagick >= Unknown)

Gmagick::gammaimage — Gamma-corrects an image

### Description

public void Gmagick::gammaimage ( float `$gamma` )

Gamma-corrects an image. The same image viewed on different devices will have perceptual differences in the way the image's intensities are represented on the screen. Specify individual gamma levels for the red, green, and blue channels, or adjust all three with the gamma parameter. Values typically range from 0.8 to 2.3.

### Parameters

`gamma`

  The amount of gamma-correction.

### Return Values

The gamma corrected Gmagick object.

### Errors/Exceptions

Throws an GmagickException on error.

Gmagick::frameimage
Gmagick::getcopyright
Gmagick
PHP Manual